import { View, Text, TouchableOpacity, StyleSheet, ToastAndroid} from 'react-native'
import React from 'react'
import { FontAwesome } from "@expo/vector-icons";
import { colors} from "../../../utils/GlobalUtils";


function ArrowButton(props) {
    if (props.num != 0) {
        return (
            <TouchableOpacity style={styles.arrowButton} onPress={props.propEvent} >
              <View style={{ flex: 1, justifyContent: "center", alignItems: "center" }}>
                {/* <FontAwesomeIcon icon="fa-solid fa-left" /> */}
                <FontAwesome style={{ marginLeft: (props.num == 1 ? 5 : -5) }} color={"white"} size={20} name={props.fontAweIcon} />
              </View>
            </TouchableOpacity>
        )
      }
      else {
        return (
          <View style={{ flex: 1.2, marginHorizontal: 7, height: 53.5, maxWidth: 60, borderRadius: 10 }}>
          </View>
        )
      }
  }


const styles = StyleSheet.create({
    arrowButton: {
        flex: 1,
        backgroundColor: colors.red,
        // backgroundColor: "blue",
        height: 53.5,
        borderRadius: 8,
      },
})



export default ArrowButton